Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Attributes | List of all members
eZ\Publish\SPI\Persistence\User\Role Class Reference
Inheritance diagram for eZ\Publish\SPI\Persistence\User\Role:

## Public Attributes
const | STATUS_DEFINED = 0
const | STATUS_DRAFT = 1
| $id
| $originalId
| $identifier
| $status
| $name
| $description = []
| $policies = []

## Additional Inherited Members
Public Member Functions inherited from eZ\Publish\API\Repository\Values\ValueObject
| __construct (array $properties=[])
| Construct object optionally with a set of properties. More...
| __set ($property, $value)
| Magic set function handling writes to non public properties. More...
| __get ($property)
| Magic get function handling read to non public properties. More...
| __isset ($property)
| Magic isset function handling isset() to non public properties. More...
| __unset ($property)
| Magic unset function handling unset() to non public properties. More...
| attribute ($property)
| Internal function for Legacy template engine compatibility to get property value. More...
| attributes ()
| Internal function for Legacy template engine compatibility to get properties. More...
| hasAttribute ($property)
| Internal function for Legacy template engine compatibility to check existence of property. More...
Static Public Member Functions inherited from eZ\Publish\API\Repository\Values\ValueObject
static | __set_state (array $array)
| Returns a new instance of this class with the data specified by $array. More...
Protected Member Functions inherited from eZ\Publish\API\Repository\Values\ValueObject
| getProperties ($dynamicProperties=[])
| Function where list of properties are returned. More...

## Detailed Description

Definition at line 11 of file SPI/Persistence/User/Role.php.

## Member Data Documentation

## ◆ $description

eZ\Publish\SPI\Persistence\User\Role::$description = []

Definition at line 71 of file SPI/Persistence/User/Role.php.

## ◆ $id

eZ\Publish\SPI\Persistence\User\Role::$id

Definition at line 24 of file SPI/Persistence/User/Role.php.

## ◆ $identifier

eZ\Publish\SPI\Persistence\User\Role::$identifier

Definition at line 44 of file SPI/Persistence/User/Role.php.

Referenced by eZ\Publish\Core\Persistence\Legacy\User\Role\Gateway\DoctrineDatabase\addPolicyLimitations(), eZ\Publish\Core\Persistence\Legacy\User\Role\Gateway\DoctrineDatabase\loadRoleByIdentifier(), eZ\Publish\Core\Persistence\Legacy\User\Role\Gateway\ExceptionConversion\loadRoleByIdentifier(), and eZ\Publish\Core\Persistence\Legacy\User\Role\LimitationHandler\ObjectStateHandler\toSPI().

## ◆ $name

eZ\Publish\SPI\Persistence\User\Role::$name

Definition at line 62 of file SPI/Persistence/User/Role.php.

## ◆ $originalId

eZ\Publish\SPI\Persistence\User\Role::$originalId

Definition at line 35 of file SPI/Persistence/User/Role.php.

## ◆ $policies

eZ\Publish\SPI\Persistence\User\Role::$policies = []

Definition at line 78 of file SPI/Persistence/User/Role.php.

## ◆ $status

eZ\Publish\SPI\Persistence\User\Role::$status

Definition at line 53 of file SPI/Persistence/User/Role.php.

Referenced by eZ\Publish\Core\Persistence\Legacy\User\Role\Gateway\DoctrineDatabase\deleteRole(), eZ\Publish\Core\Persistence\Legacy\User\Role\Gateway\ExceptionConversion\deleteRole(), eZ\Publish\Core\Persistence\Legacy\User\Role\Gateway\DoctrineDatabase\loadRole(), eZ\Publish\Core\Persistence\Legacy\User\Role\Gateway\ExceptionConversion\loadRole(), eZ\Publish\Core\Persistence\Legacy\User\Role\Gateway\DoctrineDatabase\loadRoleByIdentifier(), eZ\Publish\Core\Persistence\Legacy\User\Role\Gateway\ExceptionConversion\loadRoleByIdentifier(), eZ\Publish\Core\Persistence\Legacy\User\Role\Gateway\DoctrineDatabase\loadRoles(), and eZ\Publish\Core\Persistence\Legacy\User\Role\Gateway\DoctrineDatabase\loadRolesForContentObjects().

## ◆ STATUS_DEFINED

const eZ\Publish\SPI\Persistence\User\Role::STATUS_DEFINED = 0

Definition at line 14 of file SPI/Persistence/User/Role.php.

Referenced by eZ\Publish\Core\Persistence\Legacy\User\Role\Gateway\DoctrineDatabase\createRole(), eZ\Publish\Core\Persistence\Cache\UserHandler\deleteRole(), eZ\Publish\Core\Persistence\Legacy\User\Role\Gateway\DoctrineDatabase\deleteRole(), eZ\Publish\Core\Persistence\Cache\UserHandler\loadRole(), eZ\Publish\Core\Persistence\Legacy\User\Role\Gateway\DoctrineDatabase\loadRole(), eZ\Publish\Core\Persistence\Cache\UserHandler\loadRoleByIdentifier(), eZ\Publish\Core\Persistence\Legacy\User\Role\Gateway\DoctrineDatabase\loadRoleByIdentifier(), eZ\Publish\Core\Persistence\Legacy\User\Role\Gateway\DoctrineDatabase\loadRoles(), eZ\Publish\Core\Persistence\Legacy\User\Role\Gateway\DoctrineDatabase\loadRolesForContentObjects(), eZ\Publish\Core\Persistence\Legacy\User\Mapper\mapRole(), and eZ\Publish\Core\Persistence\Legacy\User\Role\Gateway\DoctrineDatabase\publishRoleDraft().

## ◆ STATUS_DRAFT

const eZ\Publish\SPI\Persistence\User\Role::STATUS_DRAFT = 1

Definition at line 17 of file SPI/Persistence/User/Role.php.

Referenced by eZ\Publish\Core\Persistence\Legacy\User\Role\Gateway\DoctrineDatabase\createRole(), eZ\Publish\Core\Persistence\Legacy\User\Mapper\createRoleFromCreateStruct(), eZ\Publish\Core\Persistence\Legacy\User\Role\Gateway\DoctrineDatabase\deleteRole(), eZ\Publish\Core\Persistence\Legacy\User\Handler\internalCreateRole(), eZ\Publish\Core\Persistence\Legacy\User\Handler\loadRoleDraftByRoleId(), eZ\Publish\Core\Persistence\Legacy\User\Mapper\mapRole(), eZ\Publish\Core\Persistence\Cache\UserHandler\publishRoleDraft(), and eZ\Publish\Core\Persistence\Legacy\User\Handler\publishRoleDraft().

The documentation for this class was generated from the following file:

- SPI/Persistence/User/Role.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.